#!/bin/sh

set -e
set -x
export OSLO_PACKAGE_VERSION=$(dpkg-parsechangelog -SVersion | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~git.*//' -e 's/~/.0/' -e 's/+dfsg1//' -e 's/+ds1//' | head -n 1)

CWD=$(pwd)
PYTHON3S=$(py3versions -vs)
for i in ${PYTHON3S} ; do
	python${i} setup.py install --install-layout=deb --root ${CWD}/debian/tmp
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages \
		NOSE_WITH_OPENSTACK=1 \
		NOSE_OPENSTACK_COLOR=1 \
		NOSE_OPENSTACK_RED=0.05 \
		NOSE_OPENSTACK_YELLOW=0.025 \
		NOSE_OPENSTACK_SHOW_ELAPSED=1 \
		http_proxy=127.0.0.1:9 https_proxy=127.0.0.9:9 \
		HTTP_PROXY=127.0.0.1:9 HTTPS_PROXY=127.0.0.1:9 \
		python${i} manage.py test heat_dashboard.test -v 2 --settings=heat_dashboard.test.settings --exclude-tag integration
done
